Add check to resolve uname26-version test failed
This commit is contained in:
parent
71cb752948
commit
d429aa9ebb
34
Add-check-to-resolve-uname26-version-test-failed.patch
Normal file
34
Add-check-to-resolve-uname26-version-test-failed.patch
Normal file
@ -0,0 +1,34 @@
|
|||||||
|
From 72466ac801928c205604b99fe01f830809bda930 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Liquor <lirui130@huawei.com>
|
||||||
|
Date: Thu, 17 Dec 2020 15:04:56 +0800
|
||||||
|
Subject: [PATCH] Add check to resolve uname26-version test failed
|
||||||
|
|
||||||
|
The uname command is modified in packages uname-build-checks,
|
||||||
|
but the uname26-version test case needs to use the uname -r query
|
||||||
|
result.As a result,the test fails.
|
||||||
|
So we add a judgment to check whether uname-build-checks is installed.
|
||||||
|
---
|
||||||
|
tests/ts/misc/setarch | 7 ++++++-
|
||||||
|
1 file changed, 6 insertions(+), 1 deletion(-)
|
||||||
|
|
||||||
|
diff --git a/tests/ts/misc/setarch b/tests/ts/misc/setarch
|
||||||
|
index 7c99cca..25d02c1 100755
|
||||||
|
--- a/tests/ts/misc/setarch
|
||||||
|
+++ b/tests/ts/misc/setarch
|
||||||
|
@@ -77,7 +77,12 @@ ts_finalize_subtest "$finmsg"
|
||||||
|
# conditional subtest
|
||||||
|
if [ "$uname26_seems_supported" = "yes" ]; then
|
||||||
|
ts_init_subtest uname26-version
|
||||||
|
- tmp=$($TS_CMD_SETARCH $ARCH --uname-2.6 uname -r)
|
||||||
|
+ rpm -qa | grep -q "uname-build-checks"
|
||||||
|
+ if [ $? -eq 0 ]; then
|
||||||
|
+ tmp=$($TS_CMD_SETARCH $ARCH --uname-2.6 uname.bin -r)
|
||||||
|
+ else
|
||||||
|
+ tmp=$($TS_CMD_SETARCH $ARCH --uname-2.6 uname -r)
|
||||||
|
+ fi
|
||||||
|
if echo "$tmp" | grep -q "^2\.6\."; then
|
||||||
|
echo "kernel version changed to 2.6" >> $TS_OUTPUT
|
||||||
|
else
|
||||||
|
--
|
||||||
|
2.27.0
|
||||||
|
|
||||||
@ -2,7 +2,7 @@
|
|||||||
|
|
||||||
Name: util-linux
|
Name: util-linux
|
||||||
Version: 2.35.2
|
Version: 2.35.2
|
||||||
Release: 1
|
Release: 2
|
||||||
Summary: A random collection of Linux utilities
|
Summary: A random collection of Linux utilities
|
||||||
License: GPLv2 and GPLv2+ and LGPLv2+ and BSD with advertising and Public Domain
|
License: GPLv2 and GPLv2+ and LGPLv2+ and BSD with advertising and Public Domain
|
||||||
URL: https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git
|
URL: https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git
|
||||||
@ -40,6 +40,8 @@ Patch2: libmount-try-read-only-mount-on-write-protected-supe.patch
|
|||||||
Patch3: libmount-parser-fix-memory-leak-on-error-before-end-.patch
|
Patch3: libmount-parser-fix-memory-leak-on-error-before-end-.patch
|
||||||
Patch4: tests-Fix-mountpoint-test-failure-in-build-chroots.patch
|
Patch4: tests-Fix-mountpoint-test-failure-in-build-chroots.patch
|
||||||
|
|
||||||
|
Patch9000: Add-check-to-resolve-uname26-version-test-failed.patch
|
||||||
|
|
||||||
%description
|
%description
|
||||||
The util-linux package contains a random collection of files that
|
The util-linux package contains a random collection of files that
|
||||||
implements some low-level basic linux utilities.
|
implements some low-level basic linux utilities.
|
||||||
@ -383,6 +385,9 @@ fi
|
|||||||
%{_mandir}/man8/{swapoff.8*,swapon.8*,switch_root.8*,umount.8*,wdctl.8.gz,wipefs.8*,zramctl.8*}
|
%{_mandir}/man8/{swapoff.8*,swapon.8*,switch_root.8*,umount.8*,wdctl.8.gz,wipefs.8*,zramctl.8*}
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Thu Dec 17 2020 Liquor <lirui130@huawei.com> - 2.35.2-2
|
||||||
|
- Add check to resolve uname26-version test failed
|
||||||
|
|
||||||
* Wed Jul 29 2020 fangxiuning<fangxiuning@huawei.com> - 2.35.2-1
|
* Wed Jul 29 2020 fangxiuning<fangxiuning@huawei.com> - 2.35.2-1
|
||||||
- Update version to 2.35.2
|
- Update version to 2.35.2
|
||||||
|
|
||||||
|
|||||||
Loading…
x
Reference in New Issue
Block a user